document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');

  mobileMenu.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
        // Close mobile menu if open
        navLinks.classList.remove('active');
      }
    });
  });

  // Upload functionality
  const uploadBox = document.querySelector('.upload-box');
  
  uploadBox.addEventListener('dragover', (e) => {
    e.preventDefault();
    uploadBox.style.background = 'rgba(45, 90, 240, 0.1)';
  });

  uploadBox.addEventListener('dragleave', () => {
    uploadBox.style.background = 'transparent';
  });

  uploadBox.addEventListener('drop', (e) => {
    e.preventDefault();
    uploadBox.style.background = 'transparent';
    // Handle file upload here
    const files = e.dataTransfer.files;
    console.log('Files dropped:', files);
  });

  uploadBox.addEventListener('click', () => {
    const fileInput = document.createElement('input');
    fileInput.type = 'file';
    fileInput.multiple = true;
    fileInput.click();

    fileInput.addEventListener('change', () => {
      // Handle file upload here
      console.log('Files selected:', fileInput.files);
    });
  });
});
